Site news

General news and announcements

DiscussionStarted byRepliesLast post
December Newsletter and Calendar relay Kerry 0 Kerry
Thu, 3 Dec 2020, 6:32 AM
SchoolsPlus Virtual Family Fun Night relay Kerry 0 Kerry
Tue, 1 Dec 2020, 4:57 AM
Cafeteria Price Increases relay Kerry 0 Kerry
Mon, 30 Nov 2020, 5:54 AM
Christmas Cheer Week - Theme Days relay Kerry 0 Kerry
Mon, 30 Nov 2020, 5:34 AM
No School for Students relay Kerry 0 Kerry
Thu, 26 Nov 2020, 6:01 AM
Reporting Student Absences relay Kerry 0 Kerry
Wed, 25 Nov 2020, 5:42 AM
Sports Canceled relay Kerry 0 Kerry
Wed, 25 Nov 2020, 5:08 AM
Dress for the Weather!!! relay Kerry 0 Kerry
Wed, 4 Nov 2020, 7:37 AM
SPARE and PART TIME NOON DUTY SUPERVISORS NEEDED @ REC relay Kerry 0 Kerry
Wed, 4 Nov 2020, 7:36 AM
Girls Basketball Skills and Try-outs relay Kerry 0 Kerry
Tue, 3 Nov 2020, 7:20 AM
The Pantry @ REC relay Kerry 0 Kerry
Mon, 2 Nov 2020, 7:26 AM
November 2020 Newsletter and Calendar relay Kerry 0 Kerry
Mon, 2 Nov 2020, 5:13 AM
Boys Basketball Skills and upcoming dates relay Kerry 0 Kerry
Mon, 2 Nov 2020, 5:01 AM
Girls Volleyball relay Kerry 0 Kerry
Mon, 2 Nov 2020, 4:59 AM
Parking and Picking Up Students relay Kerry 0 Kerry
Wed, 28 Oct 2020, 7:32 AM
Congratulations to Zack Rogers relay Kerry 0 Kerry
Wed, 28 Oct 2020, 7:26 AM
Congratulations to Cross Country Team relay Kerry 0 Kerry
Wed, 28 Oct 2020, 7:22 AM
Orange Shirt Day relay Kerry 0 Kerry
Tue, 29 Sep 2020, 6:30 AM
Terry Fox Run relay Kerry 0 Kerry
Thu, 24 Sep 2020, 7:42 AM
Early Dismissal relay Kerry 0 Kerry
Tue, 22 Sep 2020, 4:14 AM
First Day of School Procedures relay Kerry 0 Kerry
Thu, 3 Sep 2020, 1:03 PM
Lunch Break Information relay Kerry 0 Kerry
Wed, 2 Sep 2020, 9:56 AM
PowerSchool Now Available relay Kerry 0 Kerry
Wed, 2 Sep 2020, 8:08 AM
Covid-19 Back to School documents relay Kerry 0 Kerry
Tue, 1 Sep 2020, 8:55 AM
Arrival and Dismissal Information relay Kerry 0 Kerry
Tue, 1 Sep 2020, 8:35 AM
Noon Supervisors Needed. relay Kerry 0 Kerry
Mon, 31 Aug 2020, 11:45 AM
New Learning Centre Supply List relay Kerry 0 Kerry
Wed, 26 Aug 2020, 4:26 AM
Registration for New Students relay Kerry 0 Kerry
Thu, 20 Aug 2020, 11:16 AM
School Supply Lists relay Kerry 0 Kerry
Wed, 12 Aug 2020, 6:59 AM
Congratulations relay Kerry 0 Kerry
Tue, 30 Jun 2020, 8:01 AM
School's Out! relay Kerry 0 Kerry
Tue, 30 Jun 2020, 7:18 AM
Farewell REC Grade 8 Class 2020 relay Kerry 0 Kerry
Tue, 23 Jun 2020, 6:01 AM
Student Belongings relay Kerry 0 Kerry
Thu, 11 Jun 2020, 8:05 AM
Summer Program from SchoolsPlus relay Kerry 0 Kerry
Thu, 4 Jun 2020, 9:06 AM
Plan to Pick Up Student Belongings and Return School Items relay Kerry 0 Kerry
Tue, 26 May 2020, 5:40 AM
Schools Will Remain Closed Until May 18 relay Kerry 0 Kerry
Wed, 29 Apr 2020, 5:54 AM
May Online & Printable Fitness Calendar relay Kerry 0 Kerry
Wed, 29 Apr 2020, 5:53 AM
Same Page Riverside relay Kerry 0 Kerry
Mon, 27 Apr 2020, 6:37 AM
School Clothing Order Update relay Kerry 0 Kerry
Mon, 27 Apr 2020, 6:35 AM
A Letter from the Principal to Parents & Guardians relay Kerry 0 Kerry
Fri, 24 Apr 2020, 10:33 AM
CCRCE Sends Condolences To Families And Colleagues relay Kerry 0 Kerry
Tue, 21 Apr 2020, 6:52 AM
Library, Media, Technology Support relay Kerry 0 Kerry
Tue, 14 Apr 2020, 7:18 AM
Specialist Activity Bingo relay Kerry 0 Kerry
Mon, 6 Apr 2020, 10:33 AM
Letter from Gary Adams, Executive Director CCRCE relay Kerry 0 Kerry
Mon, 6 Apr 2020, 9:50 AM
Staff Message to Students relay Kerry 0 Kerry
Tue, 31 Mar 2020, 12:20 PM
Update relay Kerry 0 Kerry
Sat, 28 Mar 2020, 9:50 AM
Free Fully Funded Spring Futsal Sessions relay Kerry 0 Kerry
Thu, 12 Mar 2020, 4:51 AM
2020 Grade 6 Dragon's Den Competition relay Kerry 0 Kerry
Fri, 6 Mar 2020, 7:07 AM
International Students relay Kerry 0 Kerry
Mon, 24 Feb 2020, 7:06 AM
Schools Plus event relay Kerry 0 Kerry
Thu, 20 Feb 2020, 4:16 AM
No School Feb. 17 &18, 2020 relay Kerry 0 Kerry
Fri, 14 Feb 2020, 7:51 AM
Cancelations relay Kerry 0 Kerry
Thu, 6 Feb 2020, 7:43 AM
Winter Carnival Activities relay Kerry 0 Kerry
Tue, 4 Feb 2020, 5:49 AM
February 2020 Newsletter and Calendar relay Kerry 0 Kerry
Tue, 4 Feb 2020, 4:01 AM
School Clothing Orders relay Kerry 0 Kerry
Wed, 22 Jan 2020, 6:58 AM
2020-2021 School Calendar (NS) relay Kerry 0 Kerry
Wed, 15 Jan 2020, 5:27 AM
School Photos relay Kerry 0 Kerry
Wed, 15 Jan 2020, 5:04 AM
20-21 French Programs relay Kerry 0 Kerry
Wed, 15 Jan 2020, 4:59 AM
January Newsletter and Calendar relay Kerry 0 Kerry
Mon, 6 Jan 2020, 6:51 AM
Water Quality Testing relay Kerry 0 Kerry
Fri, 20 Dec 2019, 5:02 AM
SchoolsPlus Drama Club relay Kerry 0 Kerry
Wed, 4 Dec 2019, 5:06 AM
French Activiites relay Kerry 0 Kerry
Wed, 4 Dec 2019, 5:04 AM
December Newsletter and Calendar Now Available relay Kerry 0 Kerry
Mon, 2 Dec 2019, 7:47 AM
Pajama Day relay Kerry 0 Kerry
Mon, 25 Nov 2019, 7:19 AM
November Calendar and Newsletter relay Kerry 0 Kerry
Wed, 6 Nov 2019, 4:17 AM
Clothing Swap relay Kerry 0 Kerry
Mon, 21 Oct 2019, 6:44 AM
Bussing Reminder relay Kerry 0 Kerry
Wed, 25 Sep 2019, 8:33 AM
Orange Shirt Day Activities relay Kerry 0 Kerry
Mon, 23 Sep 2019, 7:45 AM
School Dance relay Kerry 0 Kerry
Mon, 23 Sep 2019, 7:42 AM
School Picture Day relay Kerry 0 Kerry
Wed, 18 Sep 2019, 5:15 AM
Student Insurance Plan Information relay Kerry 0 Kerry
Mon, 16 Sep 2019, 5:17 AM
All Schools Closed Again Tuesday September 10 relay Kerry 0 Kerry
Mon, 9 Sep 2019, 12:58 PM
All NS schools closed Monday Sept. 9. relay Kerry 0 Kerry
Sun, 8 Sep 2019, 12:45 PM
New Student Registration relay Kerry 0 Kerry
Mon, 19 Aug 2019, 10:06 AM
Awards Night 2019 relay Kerry 0 Kerry
Mon, 24 Jun 2019, 4:47 AM
Girl Power Day Camp relay Kerry 0 Kerry
Fri, 21 Jun 2019, 9:48 AM
Tri County Basketball relay Kerry 0 Kerry
Thu, 20 Jun 2019, 6:06 AM
YouthLinks relay Kerry 0 Kerry
Wed, 19 Jun 2019, 5:32 AM
Tick Safety from Public Health relay Kerry 0 Kerry
Wed, 19 Jun 2019, 5:30 AM
Student-Parent Portal and the Summer Months relay Kerry 0 Kerry
Mon, 17 Jun 2019, 8:31 AM
May Newsletter and Calendar are Posted relay Kerry 0 Kerry
Fri, 10 May 2019, 5:16 AM
East Hants Tennis Club relay Kerry 0 Kerry
Mon, 1 Apr 2019, 5:04 AM
ALL GIRLS BASKETBALL- Hants North HIgh School relay Kerry 0 Kerry
Fri, 29 Mar 2019, 4:26 AM
Youth Expo relay Kerry 0 Kerry
Mon, 25 Mar 2019, 5:48 AM
Yearbook Order Form relay Kerry 0 Kerry
Tue, 26 Feb 2019, 4:58 AM
Free Throw Competition relay Kerry 0 Kerry
Mon, 11 Feb 2019, 5:36 AM
Spring Basketball-TriCounty relay Kerry 0 Kerry
Wed, 6 Feb 2019, 6:24 AM
Sleep Habits relay Kerry 0 Kerry
Mon, 4 Feb 2019, 10:19 AM
Grade 8 Hoodie Order. relay Kerry 0 Kerry
Mon, 21 Jan 2019, 4:07 AM
Annual School-Branded Clothing Order relay Kerry 0 Kerry
Mon, 21 Jan 2019, 4:05 AM
Parent Information Night - ADHD relay Kerry 0 Kerry
Tue, 15 Jan 2019, 6:11 AM
School Pictures relay Kerry 0 Kerry
Fri, 11 Jan 2019, 5:56 AM
Christmas Cheer Week1 relay Kerry 0 Kerry
Fri, 14 Dec 2018, 5:07 AM
Parent Teacher Interviews Re-schedule relay Kerry 0 Kerry
Mon, 3 Dec 2018, 6:02 AM
REC kids visit the Wildlife Park relay Kerry 0 Kerry
Fri, 2 Nov 2018, 5:28 AM
Special Congratulations relay Kerry 0 Kerry
Wed, 31 Oct 2018, 7:36 AM
SchoolsPlus Calendar November 2018 relay Kerry 0 Kerry
Wed, 31 Oct 2018, 5:30 AM
Competitive Cheer Introductory Class relay Kerry 0 Kerry
Wed, 17 Oct 2018, 10:04 AM
2018 Remembrance Day Poster, Essay & Literary relay Kerry 0 Kerry
Wed, 17 Oct 2018, 5:29 AM
Pool Information relay Kerry 0 Kerry
Mon, 24 Sep 2018, 9:57 AM